Data Fields
acc_detector_distance_result_t Struct Reference
Distance Detector

Distance detector result. More...

`#include <acc_detector_distance.h>`

## Data Fields
float | distances [(10U)]
float | strengths [(10U)]
uint8_t | num_distances
bool | near_start_edge_status
bool | sensor_calibration_needed
int16_t | temperature
acc_processing_result_t * | processing_result
acc_processing_metadata_t * | processing_metadata
const acc_config_t * | sensor_config

## Detailed Description

Distance detector result.

Examples
  example_detector_distance.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, and ref_app_tank_level.c.

Definition at line 49 of file acc_detector_distance.h.

## Field Documentation

## ◆ distances

float acc_detector_distance_result_t::distances[(10U)]

The detected distances in meters

Examples
  example_detector_distance.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, and ref_app_tank_level.c.

Definition at line 54 of file acc_detector_distance.h.

## ◆ near_start_edge_status

bool acc_detector_distance_result_t::near_start_edge_status

Indicating that there might be an object near the start point of the measured range

Examples
  ref_app_tank_level.c.

Definition at line 66 of file acc_detector_distance.h.

## ◆ num_distances

uint8_t acc_detector_distance_result_t::num_distances

The number of detected distances. If 0, no distances where detected

Examples
  example_detector_distance.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, and ref_app_tank_level.c.

Definition at line 62 of file acc_detector_distance.h.

## ◆ processing_metadata

acc_processing_metadata_t* acc_detector_distance_result_t::processing_metadata

The metadata for the processing result

Note: The processing metedata is only valid until the next time acc_detector_distance_process is called.

Examples
  example_detector_distance_with_iq_data_print.c.

Definition at line 94 of file acc_detector_distance.h.

## ◆ processing_result

acc_processing_result_t* acc_detector_distance_result_t::processing_result

Radar data that the distance detection is based on. This will point to memory in the buffer supplied to acc_detector_distance_process

Note: The processing result is only valid until the next time acc_detector_distance_process is called.

Examples
  example_detector_distance_with_iq_data_print.c.

Definition at line 87 of file acc_detector_distance.h.

## ◆ sensor_calibration_needed

bool acc_detector_distance_result_t::sensor_calibration_needed

Indication of sensor calibration needed. The sensor calibration needs to be redone if this indication is set.

A sensor calibration should be followed by a detector recalibration, by calling acc_detector_distance_recalibrate.

Examples
  example_detector_distance.c, example_detector_distance_with_iq_data_print.c, and ref_app_tank_level.c.

Definition at line 74 of file acc_detector_distance.h.

## ◆ sensor_config

const acc_config_t* acc_detector_distance_result_t::sensor_config

The sensor_config used for the processing result

Note: The sensor_config is only valid until the next time acc_detector_distance_process is called.

Examples
  example_detector_distance_with_iq_data_print.c.

Definition at line 101 of file acc_detector_distance.h.

## ◆ strengths

float acc_detector_distance_result_t::strengths[(10U)]

The reflective strengths of each distance

Definition at line 58 of file acc_detector_distance.h.

## ◆ temperature

int16_t acc_detector_distance_result_t::temperature

Temperature in sensor during measurement (in degree Celsius). Note that it has poor absolute accuracy and should only be used for relative temperature measurements.

Definition at line 79 of file acc_detector_distance.h.

The documentation for this struct was generated from the following file:

- Inc/acc_detector_distance.h